Bug 1247177 - Review Request: python-os-client-config - OpenStack Client Configuation Library
Review Request: python-os-client-config - OpenStack Client Configuation Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On: 1219807
Blocks: RDO-LIBERTY-REVIEWS 1246290
  Show dependency treegraph
 
Reported: 2015-07-27 09:43 EDT by Parag Nemade
Modified: 2015-08-11 01:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 01:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-07-27 09:43:45 EDT
Spec URL: http://pnemade.fedorapeople.org/fedora-work/python-os-client-config.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/python-os-client-config-1.2.0-1.fc22.src.rpm

Description:
The os-client-config is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack

* If you have a config file, you will get the clouds listed in it
* If you have environment variables, you will get a cloud named `envvars`
* If you have neither, you will get a cloud named `defaults` with base defaults
Comment 1 Igor Gnatenko 2015-08-01 11:49:30 EDT
Reviewing
Comment 2 Igor Gnatenko 2015-08-01 11:54:12 EDT
%if 0%{?fedora}
%global with_python3 0
%endif

looks a bit odd. probably you wanted to have with_python3?
Comment 3 Igor Gnatenko 2015-08-01 12:03:06 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Notes
=====
-> License:        ASL 2.0
   It's not needed in python3 subpackage because it's the same as in main
   pkg.
-> Requires: python3-appdirs
   Why it's not present in python3 version?
-> No python3 version for Fedora. Looks weird.

Issues
======
-> No %check section, but upstream has tests. Please check this, if we don't
   have needed test dependencies -- just add section with commented test cmd
   and make note which packages are needed.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 1 files have unknown license. Detailed output of licensecheck
     in /home/brain/1247177-python-os-client-config/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     os-client-config-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-os-client-config-1.2.0-1.fc24.noarch.rpm
          python-os-client-config-doc-1.2.0-1.fc24.noarch.rpm
          python-os-client-config-1.2.0-1.fc24.src.rpm
python-os-client-config.noarch: W: spelling-error %description -l en_US envvars -> endears
python-os-client-config.src: W: spelling-error %description -l en_US envvars -> endears
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-os-client-config-doc (rpmlib, GLIBC filtered):

python-os-client-config (rpmlib, GLIBC filtered):
    python(abi)
    python-appdirs
    python-fixtures
    python-setuptools



Provides
--------
python-os-client-config-doc:
    python-os-client-config-doc

python-os-client-config:
    python-os-client-config



Source checksums
----------------
https://pypi.python.org/packages/source/o/os-client-config/os-client-config-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 19c4890fa2c2071ff189fa1eb80ea5b03a800ce7ebb0fd18dbaeb1d87a9755dc
  CHECKSUM(SHA256) upstream package : 19c4890fa2c2071ff189fa1eb80ea5b03a800ce7ebb0fd18dbaeb1d87a9755dc


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1247177
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Parag Nemade 2015-08-01 23:13:17 EDT
(In reply to Igor Gnatenko from comment #3)
> Notes
> =====
> -> License:        ASL 2.0
>    It's not needed in python3 subpackage because it's the same as in main
>    pkg.

I think its good to have than nothing to specify in spec file, but I have removed it now.

> -> Requires: python3-appdirs
>    Why it's not present in python3 version?

Forgot to update python3 section for appdirs. fixed now.

> -> No python3 version for Fedora. Looks weird.

most of RDO related openstack packages have not yet python3 subpackages enabled.
Was deliberately disabled but enabled in below update now

> 
> Issues
> ======
> -> No %check section, but upstream has tests. Please check this, if we don't
>    have needed test dependencies -- just add section with commented test cmd
>    and make note which packages are needed.

Added %check now.

Here is updated package:
Spec URL: http://pnemade.fedorapeople.org/fedora-work/python-os-client-config.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/python-os-client-config-1.2.0-2.fc22.src.rpm
Comment 5 Igor Gnatenko 2015-08-02 03:48:10 EDT
Thanks for quick response! APPROVED!
Comment 6 Parag Nemade 2015-08-02 09:36:30 EDT
Thanks for quick review :)

New Package SCM Request
=======================
Package Name: python-os-client-config
Short Description: OpenStack Client Configuation Library
Upstream URL: https://github.com/openstack/os-client-config
Owners: pnemade
Branches: f22 f23 el6 epel7
Comment 7 Gwyn Ciesla 2015-08-04 09:10:09 EDT
Git done (by process-git-requests).
Comment 8 Parag Nemade 2015-08-11 01:07:55 EDT
built in rawhide only as this is liberty release

Note You need to log in before you can comment on or make changes to this bug.